QGIS Application - Bug report #21949
Processing OGR based tools: encoding changed in outputs
2019-04-28 11:34 AM - Bernd Vogelgesang

Status: Open

Priority: High

Assignee:

Category: Processing/OGR

Affected QGIS version:3.6.2 Regression?: Yes
Operating System: Linux Mint Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29764
Description

When trying to buffer a point dataset with the GDAL buffer vector function, the attributes get obviously encoded to sth else than the
original UTF-8.

All special characters become a ? on black rhombic background. When manually setting the resulting layer to windows1252, the special
characters are visible again.

This seems to apply to other GDAL/OGR functions besides buffer as well.

Besides that | would like to second Tobias's feature request #21279 to change the output format from ESRI shapefile to GPKG, cause
shape format (dbase) might cripple any GPKG-based workflow. And as GPKG is UTF-8 by default, the encoding issues

would/could/should be gone as well, | hope.

QGIS 3.6.2 on Linux Mint

History

#1 - 2019-04-28 11:40 AM - Jiirgen Fischer
- Description updated

#2 - 2019-05-01 06:54 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No
- Priority changed from Normal to High

Confirmed also here (same OS and same QGIS version). | also think this wasn't an issue in the past. Note: applying manually ISO8859-1 also "works".

#3 - 2019-05-01 06:54 PM - Giovanni Manghi
- Subject changed from OGR processing: Encoding changed from UTF-8 to windows1252 to Processing OGR based tools: encoding changed in

outputs
